Validate an email message
Validate an email message. View request and response details for this Samva email API endpoint.
Resolves recipients, sender, and inline or published-template content without creating contacts, messages, billing reservations, quota draws, queue work, or provider calls.
Authorization
apiKey x-api-key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
conversationId?|null|null
metadata?|null
channel*"email"
Value in
- "email"
to*array<|>
Items
1 <= itemscc?array<|>|null|null
bcc?array<|>|null|null
from?|null
email*
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/messages/validate/email" \ -H "Content-Type: application/json" \ -d '{ "channel": "email", "to": [ { "contactId": "string" } ], "email": {} }'{ "valid": true, "from": { "email": "string", "name": "string" }, "recipientCount": 0, "content": { "source": "inline", "subject": "string", "hasHtml": true, "hasText": true }}